import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:access_contacts/access_contacts_method_channel.dart';

void main() {
  MethodChannelAccessContacts platform = MethodChannelAccessContacts();
  const MethodChannel channel = MethodChannel('access_contacts');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
