
import 'package:flutter/services.dart';

import 'access_contacts_platform_interface.dart';

class AccessContacts {

  MethodChannel channel = const MethodChannel("access_contact_channel");

  Future<String?> getPlatformVersion() {
    return AccessContactsPlatform.instance.getPlatformVersion();
  }

  Future<List<Map<String,String>>> getAllCotntacts() async{
    final List<dynamic>resultList = await channel.invokeMethod("get_all_contacts");
    List<Map<String, String>> contacts =
    resultList.map((dynamic item) => Map<String,String>.from(item)).toList();
    return contacts;
  }

  Future<bool> addNewContact() async{
    var result = await channel.invokeMethod("add_contact");;
    return result;
  }
}
