#ifndef FLUTTER_PLUGIN_ACCESS_CONTACTS_PLUGIN_H_
#define FLUTTER_PLUGIN_ACCESS_CONTACTS_PLUGIN_H_

#include <flutter/method_channel.h>
#include <flutter/plugin_registrar_windows.h>

#include <memory>

namespace access_contacts {

class AccessContactsPlugin : public flutter::Plugin {
 public:
  static void RegisterWithRegistrar(flutter::PluginRegistrarWindows *registrar);

  AccessContactsPlugin();

  virtual ~AccessContactsPlugin();

  // Disallow copy and assign.
  AccessContactsPlugin(const AccessContactsPlugin&) = delete;
  AccessContactsPlugin& operator=(const AccessContactsPlugin&) = delete;

 private:
  // Called when a method is called on this plugin's channel from Dart.
  void HandleMethodCall(
      const flutter::MethodCall<flutter::EncodableValue> &method_call,
      std::unique_ptr<flutter::MethodResult<flutter::EncodableValue>> result);
};

}  // namespace access_contacts

#endif  // FLUTTER_PLUGIN_ACCESS_CONTACTS_PLUGIN_H_
